jm.music.tools.ga

## Class ClimaticPopInitialiser

- java.lang.Object
- - jm.music.tools.ga.GAComponent
  - - jm.music.tools.ga.PopulationInitialiser
    - - jm.music.tools.ga.ClimaticPopInitialiser

-     public class ClimaticPopInitialiser
      extends PopulationInitialiser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `CLIMAX_AVERAGE`
    `static double` | `CLIMAX_ST_DEV`
    `static int` | `DEFAULT_POPULATION_SIZE`
    `protected static java.lang.String` | `label`
    `static int` | `MAX_POPULATION_SIZE`
    `static int` | `MIN_POPULATION_SIZE`
    `protected boolean` | `modifyAll`
    `protected java.awt.Panel` | `panel`
    `protected java.awt.Label` | `populationLabel`
    `protected int` | `populationSize`
    `int` | `TONIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClimaticPopInitialiser()`
    `ClimaticPopInitialiser(int population)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()`
    `java.awt.Panel` | `getPanel()`
    `Phrase[]` | `initPopulation(Phrase phrase, int beatsPerBar)`
    `void` | `setModifyAll(boolean val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected static java.lang.String label

    - #### TONIC

          public final int TONIC

      See Also:
        Constant Field Values

    - #### MIN_POPULATION_SIZE

          public static final int MIN_POPULATION_SIZE

      See Also:
        Constant Field Values

    - #### MAX_POPULATION_SIZE

          public static final int MAX_POPULATION_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_POPULATION_SIZE

          public static final int DEFAULT_POPULATION_SIZE

      See Also:
        Constant Field Values

    - #### CLIMAX_AVERAGE

          public static final double CLIMAX_AVERAGE

      See Also:
        Constant Field Values

    - #### CLIMAX_ST_DEV

          public static final double CLIMAX_ST_DEV

      See Also:
        Constant Field Values

    - #### panel

          protected java.awt.Panel panel

    - #### populationSize

          protected int populationSize

    - #### populationLabel

          protected java.awt.Label populationLabel

    - #### modifyAll

          protected boolean modifyAll

  - ### Constructor Detail

    - #### ClimaticPopInitialiser

          public ClimaticPopInitialiser()

    - #### ClimaticPopInitialiser

          public ClimaticPopInitialiser(int population)

  - ### Method Detail

    - #### initPopulation

          public Phrase[] initPopulation(Phrase phrase,
                                int beatsPerBar)

      Specified by:
        `initPopulation` in class `PopulationInitialiser`

    - #### getPanel

          public java.awt.Panel getPanel()

      Overrides:
        `getPanel` in class `GAComponent`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `GAComponent`

    - #### setModifyAll

          public void setModifyAll(boolean val)